function K = edges2K(stuff)
num_edges = size(stuff,1);
biggest_index = max(max(stuff));

%make Kirchhoff matrix (symbolically)
K = sym(zeros(biggest_index)); %vertices numbered from 1 to biggest_index with bndry first
for i = 1:num_edges
    eval(['syms g' num2str(i) ' real']);
    K(stuff(i,1),stuff(i,2)) = eval(['-g' num2str(i)]);    
end
K = K + K';
S = -sum(K);
for i=1:biggest_index
    K(i,i) = S(i);
end
K = sym(K);